xscreensaver-getimage-video(6)

NAME
xscreensaver-getimage-video - grab a video still frame for use by screen savers

SYNOPSIS
xscreensaver-getimage-video [--verbose]

DESCRIPTION
The xscreensaver-getimage-video program is a helper program for the xscreensaver hacks that manipulate images. Specifically, it is invoked by xscreensaver-getimage(6) as needed. It grabs a single frame of video from the system's video input to a file, and prints the name of that file on stdout. It does this by figuring out which frame-grabbing programs are installed on the system, and invoking the first one it finds.

OPTIONS
xscreensaver-getimage-video accepts the following options:

--verbose
    Print diagnostics.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6), xscreensaver-getimage-file(6), atitv(1), bttvgrab(1), ffmpeg(1), gqcam(1), grab(1), motioneye(1), mplayer(1), qcam(1), streamer(1), v4lctl(1), vidcat(1), vidtomem(1).

COPYRIGHT
Copyright © 2001-2021 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 14-Apr-2001.